## atari-fdisk 0.7.1

=== Makefile ===
#
# Makefile for Atari fdisk
#
# $Id: Makefile,v 1.11 1998/02/09 12:59:48 rnhodek Exp $
#
# $Log: Makefile,v $
# Revision 1.11  1998/02/09 12:59:48  rnhodek
# Remove 'diff' again from 'dist' target; doesn't work because needs
# OLDVER=
#
# Revision 1.10  1998/02/07 21:18:57  rnhodek
# Fix TAGS target, remove TAGS file on 'distclean'
# Target 'dist' also makes diff
#
# Revision 1.9  1997/08/22 16:01:56  rnhodek
# Added release target
#
# Revision 1.8  1997/08/22 12:59:35  rnhodek
# Added header and RCS keywords
#

CC = gcc
CFLAGS = -O2 -g -Wall
LD = gcc
LDFLAGS =
LIBS =

# test for cross compiling
# If not on a m68k machine, this selects a cross compiler, because
# atari-fdisk is ment to run usually on an Atari.
# It is possible to build a cross fdisk (i.e., running on a non-Atari
# machine), but you have to explicitly set COMPILE_ARCH to m68k (with
# "make COMPILE_ARCH=m68k") to avoid cross-compiling. I admit this is
# counter-intuitive...
COMPILE_ARCH = $(shell uname -m)
ifneq ($(COMPILE_ARCH),m68k)
	CROSSPREFIX=m68k-linux-
	CC := $(CROSSPREFIX)$(CC)
	LD := $(CROSSPREFIX)$(LD)
endif

BINDIR = /sbin

CSRC = atari-fdisk.c menufuncs.c partable.c readpart.c writepart.c savetab.c \
       input.c disk.c util.c
OBJS = $(subst .c,.o,$(CSRC))

.PHONY: clean reallyclean distclean install depend TAGS dist tar \
        binary binary-sub diff

atari-fdisk: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
	ln -f $@ fdisk

clean:
	rm -f *.o core #*#

reallyclean: clean
	rm -f atari-fdisk fdisk .depend

distclean: reallyclean
	rm -f *~ *# *.orig *.rej TAGS

install:
	install -s -m 755 -o root -g root atari-fdisk $(BINDIR)
	ln -s atari-fdisk $(BINDIR)/fdisk.atari
	[ -f $(BINDIR)/fdisk ] || ln -s atari-fdisk $(BINDIR)/fdisk

depend:
	gcc -MM $(CSRC) >.depend

TAGS:
	etags -d -T `find . -name '*.[ch]'`

dist: binary tar

tar: distclean
	cd ..; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	mv $$name $$namev; \
	tar cf $$namev.src.tar `find $$namev -path $$namev/CVS -prune -o -type f -print`; \
	gzip -9f $$namev.src.tar; \
	mv $$namev $$name

binary: atari-fdisk
	doit=""; [ root = "`whoami`" ] || doit=sudo; $$doit $(MAKE) binary-sub
	cd tmp; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	tar cf ../../$$namev.bin.tar * ; \
	gzip -9f ../../$$namev.bin.tar
	doit=""; [ root = "`whoami`" ] || doit=sudo; $$doit rm -rf tmp

binary-sub:
	@[ root = "`whoami`" ] || (echo "Must be root for this!"; exit 1)
	mkdir -p tmp/$(BINDIR)
	$(MAKE) install BINDIR=tmp$(BINDIR)

# usage: make diff OLDVER=<last-release-number>
diff:
	@if [ "x$(OLDVER)" = "x" ]; then \
		echo "Usage: make diff OLDVER=<last-release-number>"; \
		exit 1; \
	fi; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	cvs diff -u -rRELEASE-$(OLDVER) >../$$namev.diff; \
	gzip -9f ../$$namev.diff


# usage: make release VER=<release-number>
release:
	@if [ "x$(VER)" = "x" ]; then \
		echo "Usage: make release VER=<release-number>"; \
		exit 1; \
	fi
	modified=`cvs status 2>/dev/null | awk '/Status:/ { if ($$4 != "Up-to-date") print $$2 }'`; \
	if [ "x$$modified" != "x" ]; then \
		echo "There are modified files: $$modified"; \
		echo "Commit first"; \
		exit 1; \
	fi
	sed "/VERSION/s/\".*\"/\"$(VER)\"/" <version.h >version.h.new
	mv version.h.new version.h
	cvs commit -m"Raised version to $(VER)" version.h
	cvs tag RELEASE-`echo $(VER) | sed 's/\./-/g'`


ifeq ($(wildcard .depend),.depend)
include .depend
endif

## atari-fdisk 0.7.1-5

=== debian/changelog ===
atari-fdisk (0.7.1-5) unstable; urgency=low

  * Hm, NMU-fixed bug still not acked? (Closes: #115998)
  * bumped Standards-Version
  * updated my mail address
  * also generate an .udeb for debian-installer (Closes: #229808)

 -- Roman Hodek <roman@hodek.net>  Sun, 29 Feb 2004 16:25:17 +0100

atari-fdisk (0.7.1-4) unstable; urgency=low

  * Integrated HURD patch by Marcus.Brinkmann@ruhr-uni-bochum.de;
    Closes: #108307
  * Added build dependency; Closes: #70132
  * Part of #79705 (new archs have been fixed by 0.7.1-3.1 NMU), but the 
    unusual arch list of atari-fdisk-cross is intentional, as I unfortunately
    can't express "anything but m68k" otherwise; Closes: #79705
  * Removed gcc warning about trigraph that isn't a trigraph :)
  
 -- Roman Hodek <roman@hodek.net>  Mon, 22 Sep 2003 22:36:55 +0200

atari-fdisk (0.7.1-3.1) unstable; urgency=low

  * NMU
  * Add newer Debian architectures to the strange arch field for
    atari-fdisk-cross.  (closes: Bug#115998)

 -- Doug Porter <dsp@debian.org>  Thu, 25 Oct 2001 17:19:36 -0500

atari-fdisk (0.7.1-3) unstable; urgency=low

  * FHS transition (Standards-Version: 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 15:58:50 +0200

atari-fdisk (0.7.1-2) unstable; urgency=low

  * Replace $(LD) in Makefile by $(CC) to better allow cross-compiling.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 8 Jul 1999 13:57:15 +0200

atari-fdisk (0.7.1-1) unstable; urgency=low

  * New upstream version.
  * Remove dh_du call from debian/rules, since it's deprecated.
  * Added hurd-i386 and mips to arch list of atari-fdisk-cross. The former
    already exists, and mips may come.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sat, 19 Sep 1998 03:42:36 +0200

atari-fdisk (0.7-4) frozen unstable; urgency=low

  * Add explicit dependency on awk, so that base m68k disks can be build
    successfully.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 24 Mar 1998 15:04:15 +0100

atari-fdisk (0.7-3) unstable; urgency=low

  * Fix typos in package description. Fixes: #18892

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 6 Mar 1998 09:56:07 +0100

atari-fdisk (0.7-2) unstable; urgency=low

  * dh_installmanpages didn't install debian/atari-fdisk.8 as man page
    anymore.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 17 Feb 1998 15:10:36 +0100

atari-fdisk (0.7-1) unstable; urgency=low

  * New upstream version
  * Do not inlcude /sbin/fdisk symlink in the package. This removes the
    conflict between the various m68k *-fdisk packages. Instead, the
    symlink is generated dynamically in the postinst and is made point to
    the native fdisk of the machine.
  * Do not check that install machine is Atari in preinst; all m68k fdisk
    packages are required on all m68k machines...
  * Changed Architecture: field of atari-fdisk-cross package from "any" to
    a list of all Debian archs except m68k. This is neccesary because the
    package doesn't make sense for m68k but all others, and there's no way
    to specify a negative arch list.
  * Removed conflicts between atari-fdisk and atari-fdisk-cross
    (unnecessary with Architecture: changes).
  * Corrected FSF address in copyright file.
  * Updated Standards-Version to 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 11 Feb 1998 14:49:37 +0100

atari-fdisk (0.6.1-2) unstable; urgency=low

  * Corrected title of man page.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 22 Jan 1998 12:15:35 +0100

atari-fdisk (0.6.1-1) unstable; urgency=low

  * Initial Release as Debian package.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 17 Dec 1997 15:37:33 +0100

=== debian/control ===
Source: atari-fdisk
Maintainer: Roman Hodek <roman@hodek.net>
Section: base
Priority: required
Build-Depends: debhelper
Standards-Version: 3.6.1

Package: atari-fdisk
Architecture: m68k
Depends: awk, ${shlibs:Depends}
Description: Partition editor for Atari
 Atari-fdisk allows you to create and edit the partition table of a
 disk. It supports both the AHDI 5.0 and ICD variations of the Atari
 format. It is an interactive tool with a menu similar to PC fdisk,
 and also supports most options of PC fdisk.

Package: atari-fdisk-udeb
Section: debian-installer
Priority: standard
Architecture: m68k
Depends: ${shlib:Depends}
Description: Partition editor for Atari
  atari-fdisk udeb package

Package: atari-fdisk-cross
Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
Section: otherosfs
Priority: extra
Depends: ${shlib:Depends}
Description: Partition editor for Atari (running on non-Atari)
 Atari-fdisk allows you to create and edit the partition table of a
 disk partitioned in Atari format. It supports both the AHDI 5.0 and
 ICD variations of the Atari format. It is an interactive tool with a
 menu similar to PC fdisk, and also supports most options of PC fdisk.

## atari-fdisk 0.7.1-5.1

=== debian/changelog ===
atari-fdisk (0.7.1-5.1) unstable; urgency=high

  * NMU
    Set dependencies for atari-fdisk-cross and atari-fdisk-udeb to
    ${shlibs:Depends}, not ${shlib:Depends}; for #263770.
  * Urgency=high for sarge.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Aug 2004 06:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Section: debian-installer
 Priority: standard
 Architecture: m68k
-Depends: ${shlib:Depends}
+Depends: ${shlibs:Depends}
 Description: Partition editor for Atari
   atari-fdisk udeb package
 
@@ -26,7 +26,7 @@
 Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
 Section: otherosfs
 Priority: extra
-Depends: ${shlib:Depends}
+Depends: ${shlibs:Depends}
 Description: Partition editor for Atari (running on non-Atari)
  Atari-fdisk allows you to create and edit the partition table of a
  disk partitioned in Atari format. It supports both the AHDI 5.0 and

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#export DH_VERBOSE=1

BUILDARCH = $(shell dpkg --print-gnu-build-architecture)

packn = atari-fdisk
packu = atari-fdisk-udeb
packc = atari-fdisk-cross
tmpn = debian/tmp
tmpu = debian/$(packu)
tmpc = debian/$(packc)
docn = $(tmpn)/usr/share/doc/$(packn)
docc = $(tmpc)/usr/share/doc/$(packc)
mann = $(tmpn)/usr/share/man
manc = $(tmpc)/usr/share/man

build:
	$(checkdir)
	# override cross-compiling stuff in upstream Makefile
	make COMPILE_ARCH=m68k
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make reallyclean
	-rm -f `find . -name "*~"`
	-rm -rf $(tmpn) $(tmpc) debian/files* core debian/substvars \
            debian/atari-fdisk-cross.substvars

binary-indep: build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d $(tmpn)/sbin
	install -s -m 755 atari-fdisk $(tmpn)/sbin
	install -d $(tmpu)/sbin
	install -s -m 755 atari-fdisk $(tmpu)/sbin
	install -d $(tmpc)/usr/sbin
	install -s -m 755 atari-fdisk $(tmpc)/usr/sbin
	dh_installdocs -p$(packn) -p$(packc) README
	# install README also in cross package (not done by dh_installdocs)
	install -m 644 README $(docc)
	# debhelper doesn't see debian/atari-fdisk.8, so install it manually
	#dh_installmanpages
	install -d $(mann)/man8
	install -m 644 debian/atari-fdisk.8 $(mann)/man8
	install -d $(manc)/man8
	install -m 644 debian/atari-fdisk.8 $(manc)/man8
	dh_installchangelogs -p$(packn) -p$(packc) NEWS
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	# build native package only for m68k, cross package only for others
	set -e; if [ "$(BUILDARCH)" = "m68k" ]; then \
		rm -rf $(tmpu)/usr; \
		dh_gencontrol -p$(packn); \
		dh_gencontrol -p$(packu) -- -isp -fdebian/files~; \
	else \
		dh_gencontrol -p$(packc); \
	fi
	dh_md5sums -p$(packn) -p$(packc)
	set -e; if [ "$(BUILDARCH)" = "m68k" ]; then \
		dh_builddeb -p$(packn); \
		version=`dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2`; \
		dpkg-distaddfile $(packu)_$${version}_$(BUILDARCH).udeb debian-installer standard; \
		dh_builddeb -p$(packu) --filename $(packu)_$${version}_$(BUILDARCH).udeb; \
	else \
		dh_builddeb -p$(packc); \
	fi

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## atari-fdisk 0.7.1-5.1ubuntu1

=== debian/changelog ===
atari-fdisk (0.7.1-5.1ubuntu1) hoary; urgency=low

  * Added amd64 to target arch for atari-fdisk-cross

 -- Stephen Shirley <diamond@nonado.net>  Tue,  5 Apr 2005 23:57:27 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
+Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc amd64
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}

## atari-fdisk 0.7.1-5.3

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
         binary binary-sub diff
 
 atari-fdisk: $(OBJS)
-	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 	ln -f $@ fdisk
 
 clean:

=== debian/changelog ===
atari-fdisk (0.7.1-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Using glibcs lseek() instead of the kernels to avoid failure in
    64bit-environments. Closes: #404358

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 30 Dec 2006 09:50:10 +0000

atari-fdisk (0.7.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to kernel syscall macros (Closes: #392554, #393024).
  * Add amd64 as a supported arch (Closes: #248795).
  * Remove XSI:ism in postinst (Closes: #254777).
  * Add XB-Subarchitecture: atari q40 for udeb (Closes: #250582).
  * Fix FSF's address.
  * Use dpkg --print-architecture instead of --print-gnu-build-architecture.

 -- Luk Claes <luk@debian.org>  Mon, 23 Oct 2006 20:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
 Section: debian-installer
 Priority: standard
 Architecture: m68k
+XB-Subarchitecture: atari q40
 Depends: ${shlibs:Depends}
 Description: Partition editor for Atari
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc amd64
+Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}

## atari-fdisk 0.7.1-5.4

=== debian/changelog ===
atari-fdisk (0.7.1-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add new archs, closes: #396326

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 16 Apr 2008 20:55:15 +0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
   atari-fdisk udeb package
 
 Package: atari-fdisk-cross
-Architecture: alpha amd64 arm hppa hurd-i386 i386 ia64 mips mipsel powerpc s390 sh sparc
+Architecture: alpha amd64 arm armeb armel hppa hurd-i386 i386 ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sh sh4 sparc
 Section: otherosfs
 Priority: extra
 Depends: ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #export DH_VERBOSE=1
 
-BUILDARCH = $(shell dpkg --print-gnu-build-architecture)
+BUILDARCH = $(shell dpkg --print-architecture)
 
 packn = atari-fdisk
 packu = atari-fdisk-udeb
